org.opencv.photo

## Class MergeMertens

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.photo.MergeExposures
    - - org.opencv.photo.MergeMertens

-     public class MergeMertens
      extends MergeExposures

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MergeMertens(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MergeMertens` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `float` | `getContrastWeight()`
    `float` | `getExposureWeight()`
    `float` | `getSaturationWeight()`
    `void` | `process(java.util.List<Mat> src, Mat dst)`
    `void` | `process(java.util.List<Mat> src, Mat dst, Mat times, Mat response)`
    `void` | `setContrastWeight(float contrast_weiht)`
    `void` | `setExposureWeight(float exposure_weight)`
    `void` | `setSaturationWeight(float saturation_weight)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeMertens

          protected MergeMertens(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static MergeMertens __fromPtr__(long addr)

    - #### getContrastWeight

          public float getContrastWeight()

    - #### getExposureWeight

          public float getExposureWeight()

    - #### getSaturationWeight

          public float getSaturationWeight()

    - #### process

          public void process(java.util.List<Mat> src,
                              Mat dst,
                              Mat times,
                              Mat response)

      Overrides:
        `process` in class `MergeExposures`

    - #### process

          public void process(java.util.List<Mat> src,
                              Mat dst)

    - #### setContrastWeight

          public void setContrastWeight(float contrast_weiht)

    - #### setExposureWeight

          public void setExposureWeight(float exposure_weight)

    - #### setSaturationWeight

          public void setSaturationWeight(float saturation_weight)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `MergeExposures`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1